Up

# NSBezierPath.m

### Authors

Enrico Sersale (`enrico@imago.ro`)

> The NSBezierPath class

Copyright: (C) 1999, 2005 Free Software Foundation, Inc.

# Software documentation for the NSBezierPath class

## NSBezierPath : NSObject

> Declared in:
>   AppKit/NSBezierPath.h

> Conforms to:
>   NSCopying
>   NSCoding

Availability: OpenStep
Description forthcoming.
Method summary

- +bezierPath
- +bezierPathWithOvalInRect:
- +bezierPathWithRect:
- +clipRect:
- +defaultFlatness
- +defaultLineCapStyle
- +defaultLineJoinStyle
- +defaultLineWidth
- +defaultMiterLimit
- +defaultWindingRule
- +drawPackedGlyphs:atPoint:
- +fillRect:
- +setDefaultFlatness:
- +setDefaultLineCapStyle:
- +setDefaultLineJoinStyle:
- +setDefaultLineWidth:
- +setDefaultMiterLimit:
- +setDefaultWindingRule:
- +strokeLineFromPoint:toPoint:
- +strokeRect:
- -addClip
- -appendBezierPath:
- -appendBezierPathWithArcFromPoint:toPoint:radius:
- -appendBezierPathWithArcWithCenter:radius:startAngle:endAngle:
- -appendBezierPathWithArcWithCenter:radius:startAngle:endAngle:clockwise:
- -appendBezierPathWithGlyph:inFont:
- -appendBezierPathWithGlyphs:count:inFont:
- -appendBezierPathWithOvalInRect:
- -appendBezierPathWithPackedGlyphs:
- -appendBezierPathWithPoints:count:
- -appendBezierPathWithRect:
- -bezierPathByFlatteningPath
- -bezierPathByReversingPath
- -bounds
- -cachesBezierPath
- -closePath
- -containsPoint:
- -controlPointBounds
- -currentPoint
- -curveToPoint:controlPoint1:controlPoint2:
- -elementAtIndex:
- -elementAtIndex:associatedPoints:
- -elementCount
- -fill
- -flatness
- -getLineDash:count:phase:
- -isEmpty
- -lineCapStyle
- -lineJoinStyle
- -lineToPoint:
- -lineWidth
- -miterLimit
- -moveToPoint:
- -relativeCurveToPoint:controlPoint1:controlPoint2:
- -relativeLineToPoint:
- -relativeMoveToPoint:
- -removeAllPoints
- -setAssociatedPoints:atIndex:
- -setCachesBezierPath:
- -setClip
- -setFlatness:
- -setLineCapStyle:
- -setLineDash:count:phase:
- -setLineJoinStyle:
- -setLineWidth:
- -setMiterLimit:
- -setWindingRule:
- -stroke
- -transformUsingAffineTransform:
- -windingCountAtPoint:
- -windingRule

### bezierPath

+ (NSBezierPath*) bezierPath;
Availability: OpenStep
Description forthcoming.

### bezierPathWithOvalInRect:

+ (NSBezierPath*) bezierPathWithOvalInRect: (NSRect)aRect;
Availability: OpenStep
Description forthcoming.

### bezierPathWithRect:

+ (NSBezierPath*) bezierPathWithRect: (NSRect)aRect;
Availability: OpenStep
Description forthcoming.

### clipRect:

+ (void) clipRect: (NSRect)aRect;
Availability: OpenStep
Description forthcoming.

### defaultFlatness

+ (float) defaultFlatness;
Availability: OpenStep
Description forthcoming.

### defaultLineCapStyle

+ (NSLineCapStyle) defaultLineCapStyle;
Availability: OpenStep
Description forthcoming.

### defaultLineJoinStyle

+ (NSLineJoinStyle) defaultLineJoinStyle;
Availability: OpenStep
Description forthcoming.

### defaultLineWidth

+ (float) defaultLineWidth;
Availability: OpenStep
Description forthcoming.

### defaultMiterLimit

+ (float) defaultMiterLimit;
Availability: OpenStep
Description forthcoming.

### defaultWindingRule

+ (NSWindingRule) defaultWindingRule;
Availability: OpenStep
Description forthcoming.

### drawPackedGlyphs: atPoint:

+ (void) drawPackedGlyphs: (const char*)packedGlyphs atPoint: (NSPoint)aPoint;
Availability: OpenStep
Description forthcoming.

### fillRect:

+ (void) fillRect: (NSRect)aRect;
Availability: OpenStep
Description forthcoming.

### setDefaultFlatness:

+ (void) setDefaultFlatness: (float)flatness;
Availability: OpenStep
Description forthcoming.

### setDefaultLineCapStyle:

+ (void) setDefaultLineCapStyle: (NSLineCapStyle)lineCapStyle;
Availability: OpenStep
Description forthcoming.

### setDefaultLineJoinStyle:

+ (void) setDefaultLineJoinStyle: (NSLineJoinStyle)lineJoinStyle;
Availability: OpenStep
Description forthcoming.

### setDefaultLineWidth:

+ (void) setDefaultLineWidth: (float)lineWidth;
Availability: OpenStep
Description forthcoming.

### setDefaultMiterLimit:

+ (void) setDefaultMiterLimit: (float)limit;
Availability: OpenStep
Description forthcoming.

### setDefaultWindingRule:

+ (void) setDefaultWindingRule: (NSWindingRule)windingRule;
Availability: OpenStep
Description forthcoming.

### strokeLineFromPoint: toPoint:

+ (void) strokeLineFromPoint: (NSPoint)point1 toPoint: (NSPoint)point2;
Availability: OpenStep
Description forthcoming.

### strokeRect:

+ (void) strokeRect: (NSRect)aRect;
Availability: OpenStep
Description forthcoming.

### addClip

- (void) addClip;
Availability: OpenStep
Description forthcoming.

### appendBezierPath:

- (void) appendBezierPath: (NSBezierPath*)aPath;
Availability: OpenStep
Description forthcoming.

### appendBezierPathWithArcFromPoint: toPoint: radius:

- (void) appendBezierPathWithArcFromPoint: (NSPoint)point1 toPoint: (NSPoint)point2 radius: (float)radius;
Availability: OpenStep
Description forthcoming.

### appendBezierPathWithArcWithCenter: radius: startAngle: endAngle:

- (void) appendBezierPathWithArcWithCenter: (NSPoint)center radius: (float)radius startAngle: (float)startAngle endAngle: (float)endAngle;
Availability: OpenStep
Description forthcoming.

### appendBezierPathWithArcWithCenter: radius: startAngle: endAngle: clockwise:

- (void) appendBezierPathWithArcWithCenter: (NSPoint)center radius: (float)radius startAngle: (float)startAngle endAngle: (float)endAngle clockwise: (BOOL)clockwise;
Availability: OpenStep
Description forthcoming.

### appendBezierPathWithGlyph: inFont:

- (void) appendBezierPathWithGlyph: (NSGlyph)glyph inFont: (NSFont*)font;
Availability: OpenStep
Description forthcoming.

### appendBezierPathWithGlyphs: count: inFont:

- (void) appendBezierPathWithGlyphs: (NSGlyph*)glyphs count: (int)count inFont: (NSFont*)font;
Availability: OpenStep
Description forthcoming.

### appendBezierPathWithOvalInRect:

- (void) appendBezierPathWithOvalInRect: (NSRect)aRect;
Availability: OpenStep
Description forthcoming.

### appendBezierPathWithPackedGlyphs:

- (void) appendBezierPathWithPackedGlyphs: (const char*)packedGlyphs;
Availability: OpenStep
Description forthcoming.

### appendBezierPathWithPoints: count:

- (void) appendBezierPathWithPoints: (NSPoint*)points count: (int)count;
Availability: OpenStep
Description forthcoming.

### appendBezierPathWithRect:

- (void) appendBezierPathWithRect: (NSRect)aRect;
Availability: OpenStep
Description forthcoming.

### bezierPathByFlatteningPath

- (NSBezierPath*) bezierPathByFlatteningPath;
Availability: OpenStep
Description forthcoming.

### bezierPathByReversingPath

- (NSBezierPath*) bezierPathByReversingPath;
Availability: OpenStep
Description forthcoming.

### bounds

- (NSRect) bounds;
Availability: OpenStep
Description forthcoming.

### cachesBezierPath

- (BOOL) cachesBezierPath;
Availability: OpenStep
Description forthcoming.

### closePath

- (void) closePath;
Availability: OpenStep
Description forthcoming.

### containsPoint:

- (BOOL) containsPoint: (NSPoint)point;
Availability: OpenStep
Returns `YES` iff the path contains, according to the current winding rule , the given point.

### controlPointBounds

- (NSRect) controlPointBounds;
Availability: OpenStep
Description forthcoming.

### currentPoint

- (NSPoint) currentPoint;
Availability: OpenStep
Description forthcoming.

### curveToPoint: controlPoint1: controlPoint2:

- (void) curveToPoint: (NSPoint)aPoint controlPoint1: (NSPoint)controlPoint1 controlPoint2: (NSPoint)controlPoint2;
Availability: OpenStep
Description forthcoming.

### elementAtIndex:

- (NSBezierPathElement) elementAtIndex: (int)index;
Availability: OpenStep
Description forthcoming.

### elementAtIndex: associatedPoints:

- (NSBezierPathElement) elementAtIndex: (int)index associatedPoints: (NSPoint*)points;
Availability: OpenStep
Description forthcoming.

### elementCount

- (int) elementCount;
Availability: OpenStep
Description forthcoming.

### fill

- (void) fill;
Availability: OpenStep
Description forthcoming.

### flatness

- (float) flatness;
Availability: OpenStep
Description forthcoming.

### getLineDash: count: phase:

- (void) getLineDash: (float*)pattern count: (int*)count phase: (float*)phase;
Availability: OpenStep
Description forthcoming.

### isEmpty

- (BOOL) isEmpty;
Availability: OpenStep
Description forthcoming.

### lineCapStyle

- (NSLineCapStyle) lineCapStyle;
Availability: OpenStep
Description forthcoming.

### lineJoinStyle

- (NSLineJoinStyle) lineJoinStyle;
Availability: OpenStep
Description forthcoming.

### lineToPoint:

- (void) lineToPoint: (NSPoint)aPoint;
Availability: OpenStep
Description forthcoming.

### lineWidth

- (float) lineWidth;
Availability: OpenStep
Description forthcoming.

### miterLimit

- (float) miterLimit;
Availability: OpenStep
Description forthcoming.

### moveToPoint:

- (void) moveToPoint: (NSPoint)aPoint;
Availability: OpenStep
Description forthcoming.

### relativeCurveToPoint: controlPoint1: controlPoint2:

- (void) relativeCurveToPoint: (NSPoint)aPoint controlPoint1: (NSPoint)controlPoint1 controlPoint2: (NSPoint)controlPoint2;
Availability: OpenStep
Description forthcoming.

### relativeLineToPoint:

- (void) relativeLineToPoint: (NSPoint)aPoint;
Availability: OpenStep
Description forthcoming.

### relativeMoveToPoint:

- (void) relativeMoveToPoint: (NSPoint)aPoint;
Availability: OpenStep
Description forthcoming.

### removeAllPoints

- (void) removeAllPoints;
Availability: OpenStep
Description forthcoming.

### setAssociatedPoints: atIndex:

- (void) setAssociatedPoints: (NSPoint*)points atIndex: (int)index;
Availability: OpenStep
Description forthcoming.

### setCachesBezierPath:

- (void) setCachesBezierPath: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setClip

- (void) setClip;
Availability: OpenStep
Description forthcoming.

### setFlatness:

- (void) setFlatness: (float)flatness;
Availability: OpenStep
Description forthcoming.

### setLineCapStyle:

- (void) setLineCapStyle: (NSLineCapStyle)lineCapStyle;
Availability: OpenStep
Description forthcoming.

### setLineDash: count: phase:

- (void) setLineDash: (const float*)pattern count: (int)count phase: (float)phase;
Availability: OpenStep
Description forthcoming.

### setLineJoinStyle:

- (void) setLineJoinStyle: (NSLineJoinStyle)lineJoinStyle;
Availability: OpenStep
Description forthcoming.

### setLineWidth:

- (void) setLineWidth: (float)lineWidth;
Availability: OpenStep
Description forthcoming.

### setMiterLimit:

- (void) setMiterLimit: (float)limit;
Availability: OpenStep
Description forthcoming.

### setWindingRule:

- (void) setWindingRule: (NSWindingRule)windingRule;
Availability: OpenStep
Description forthcoming.

### stroke

- (void) stroke;
Availability: OpenStep
Description forthcoming.

### transformUsingAffineTransform:

- (void) transformUsingAffineTransform: (NSAffineTransform*)transform;
Availability: OpenStep
Description forthcoming.

### windingCountAtPoint:

- (int) windingCountAtPoint: (NSPoint)point;
Availability: Gui
Returns the winding count, according to the PostScript definition, at the given point.

### windingRule

- (NSWindingRule) windingRule;
Availability: OpenStep
Description forthcoming.

Up